Subject: bug#22526: 25.0.90; Crash starting gnus

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Feb 2016 23:05:42 +0200

> From: Andy Moreton <[email-masked]>
> Date: Sun, 07 Feb 2016 20:58:57 +0000
> 
> On Sun 07 Feb 2016, Eli Zaretskii wrote:
> > Hard to tell without a reproducible recipe, or at least some
> > additional info.  If the session is still running in a debugger, I
> > might ask some questions about some variables.
> 
> I don't have that session running any more. Please do make suggestions
> for things to look at in gdb that I can try if I manage to reproduce the
> problem.

Thanks.

AFAIU, the crash was here:

  /* Put an anchor.  */
  *(Z_ADDR) = 0;  <<<<<<<<<<<<<<<<<

So the first question is, of course, what is the value of Z_ADDR?

Next question is what are the values of the variables in the
expression to which Z_ADDR expands:

  /* Address of end of buffer.  */
  #define Z_ADDR (current_buffer->text->beg + current_buffer->text->gap_size + current_buffer->text->z_byte - BEG_BYTE)